Foreman - Bug #1340

can't remove host due to dhcp issue
11/17/2011 08:00 PM - Corey Osman

Status: Rejected
Priority: Normal
Assignee:

Category: DHCP
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Unable to save
DHCP Settings for puppetdemo1.demo.corp task failed with the following error: 400 Bad Request

I am unable to remove the host or change the IP because foreman cannot remove the reservation from the dhcp server.

Processing HostsController#update (for 192.0.248.104 at 2011-11-17 19:52:12) [PUT]
Parameters: {"commit"=>"Submit", "action"=>"update", "_method"=>"put", "authenticity_token"=>"/L
+9rIwt 9kTkNHUXd6uhltKCWPbJEOVLxXMC3sMStH24=", "id"=>"puppetdemol.demo.corp", "controller"=>"hosts",
"host"=>{"comment"=>"", "architecture_id"=>"1", "subnet_id"=>"", "managed"=>"1", "puppetproxy_id"
=>"3", "name"=>"puppetdemol", "sp_mac"=>"", "puppetmaster_name"=>"puppetprodl.demo.corp", "sp_name
"=>""_ "mac"=>"00:50:56:bb:03:5e", "domain_id"=>"1", "enabled"=>"1", "root_pass"=>"[FILTERED]", "m
edium_id"=>"6", "hostgroup_id"=>"5", "is_owned_by"=>"2-Users", "ptable_id"=>"1", "sp_subnet_id"=>"
", "ip"=>"10.20.0.198", "environment_id"=>"1", "model_id"=>"", "disk"=>"", "sp_ip"=>"", "puppetcla
ss_1ids"=>[""], "operatingsystem_id"=>"11"}}
Delete DHCP reservation for puppetdemol.demo.corp-00:50:56:bb:03:5¢/192.0.19.198
DHCP Settings for puppetdemol.demo.corp task failed with the following error: 400 Bad Request
Rolling back due to a problem: DHCP Settings for puppetdemol.demo.corp 5 failed puppet
demol.demo.corpdel_dhcp
Failed to save: DHCP Settings for puppetdemol.demo.corp task failed with the following error: 400
Bad Request
Rendering template within layouts/application
Rendering hosts/edit
Completed in 3601lms (View: 348, DB: 14) | 200 OK [https://foreman/hosts/puppetdemol.demo.corp]

History

#1 - 01/10/2012 03:49 AM - Ohad Levy

- Assignee set to Corey Osman

what is in the proxy log?
can you try with the latest proxy / foreman code and see if you can reproduce this?

#2 - 01/10/2012 03:49 AM - Ohad Levy

- Status changed from New to Need more information

#3 - 01/10/2012 02:31 PM - Corey Osman

| actually worked around the issue yesterday. Here is the problem.

1. If the proxy for the dhcp server cannot be reached or is not working it throws that error.

2. If I remove the dhcp proxy server from the subnet that the host belongs to | can then delete the node.

There must be some dependency between the dhcp proxy and the host that is keeping the user from deleting the host.

05/12/2024 1/2




#4 - 07/04/2012 06:59 AM - Benjamin Papillon
- Category set to DHCP

#5 - 07/04/2012 07:00 AM - Benjamin Papillon

- Status changed from Need more information to Assigned

#6 - 07/04/2012 07:00 AM - Benjamin Papillon
- Status changed from Assigned to New

- Assignee deleted (Corey Osman)

#7 - 03/15/2016 05:37 AM - Ohad Levy
- Description updated

- Status changed from New to Need more information

#8 - 05/17/2017 03:36 PM - Anonymous

- Status changed from Need more information to Rejected

While the error message could be improved (maybe it was in the meanwhile), the behaviour feels correct
